INTERFACE
SUBROUTINE TRAGEOAD(KULROTC,KULDICO,KULOUT,&
 & KFIELD,KFLDSUR,KNSMAX,KASM0,KSPEC2,KUMTP,KNCMAX,&
 & KACM0,KCPEC2,KUMCP,KMYMS,KSPORTS,KTYP,KDIR,&
 & PRLOCEN,PRLOREC,PSPECS,PSPECC) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELD
INTEGER(KIND=JPIM),INTENT(INOUT) :: KNSMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KSPEC2
INTEGER(KIND=JPIM),INTENT(IN) :: KNCMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KCPEC2
INTEGER(KIND=JPIM),INTENT(IN) :: KUMCP
INTEGER(KIND=JPIM) :: KULROTC
INTEGER(KIND=JPIM) :: KULDICO
INTEGER(KIND=JPIM),INTENT(IN) :: KULOUT
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KASM0(0:KNSMAX)
INTEGER(KIND=JPIM),INTENT(IN) :: KUMTP
INTEGER(KIND=JPIM),INTENT(IN) :: KACM0(0:KNCMAX)
INTEGER(KIND=JPIM),INTENT(IN) :: KMYMS(1:KUMCP)
INTEGER(KIND=JPIM),INTENT(IN) :: KSPORTS
INTEGER(KIND=JPIM),INTENT(IN) :: KTYP
INTEGER(KIND=JPIM),INTENT(IN) :: KDIR
REAL(KIND=JPRB) ,INTENT(IN) :: PRLOCEN
REAL(KIND=JPRB) ,INTENT(IN) :: PRLOREC
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPECS(KFIELD*KSPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPECC(KFIELD*KCPEC2)
END SUBROUTINE TRAGEOAD
END INTERFACE
